# Default values for chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
replicaCount: 1
strategyType:
# `serviceAccountName` is deprecated in favor of `serviceAccount.name`
serviceAccountName:
image:
  repository: gitlab.example.com/group/project
  tag: stable
  pullPolicy: IfNotPresent
  secrets:
    - name: gitlab-registry
extraLabels: {}
lifecycle: {}
# preStop:
#   exec:
#     command: ["/bin/sh", "-c", "sleep 10"]
podAnnotations: {}
nodeSelector: {}
securityContext: {}
containerSecurityContext: {}
hostNetwork: false
dnsPolicy: {}
dnsConfig: {}
#    nameservers:
#      - 8.8.8.8
#    searches:
#      - svc.cluster.local
#      - cluster.local
#    options:
#      - name: ndots
#        value: "1"
affinity: {}
tolerations: []
priorityClassName:
initContainers: []
# - name: init-myservice
#   image: busybox
#   command: ['sh', '-c', 'until nslookup myservice; do echo waiting for myservice to start; sleep 1; done;']
topologySpreadConstraints: []
application:
  track: stable
  tier: web
  migrateCommand:
  initializeCommand:
  secretName:
  secretChecksum:
  # You can omit `DATABASE_URL` variable injection into your deployment containers,
  # if you explicitly set `database_url` to `null`.
  # database_url: null
hpa:
  enabled: false
  minReplicas: 1
  maxReplicas: 5
  # Only one of targetCPUUtilizationPercentage and metrics can be chosen.
  # This is because targetCPUUtilizationPercentage is from autoscaling/v1,
  # whereas metrics is from autoscaling/v2. If both are provided, only
  # metrics will be used.
  # See https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale-walkthrough/
  # for examples of each.
  targetCPUUtilizationPercentage: 80
  # metrics:
  # - type: Resource
  #   resource:
  #     name: cpu
  #     target:
  #       type: Utilization
  #       averageUtilization: 80

gitlab:
  app:
  env:
  envName:
  envURL:
  projectID:
service:
  enabled: true
  annotations: {}
  name: web
  type: ClusterIP
  url: http://my.host.com/
  additionalHosts:
  commonName:
  externalPort: 5000
  internalPort: 5000
  # nodePort: 30001
  extraPorts: []
ingress:
  enabled: true
  path: "/"
  tls:
    enabled: true
    acme: true
    secretName: ""
    useDefaultSecret: false
  # className: nginx
  modSecurity:
    enabled: false
    secRuleEngine: "DetectionOnly"
    # secRules:
    #   - variable: ""
    #     operator: ""
    #     action: ""
  canary:
    weight:
prometheus:
  metrics: false
livenessProbe:
  enabled: true
  path: "/"
  initialDelaySeconds: 15
  timeoutSeconds: 15
  scheme: "HTTP"
  probeType: "httpGet"
  httpHeaders: []
readinessProbe:
  enabled: true
  path: "/"
  initialDelaySeconds: 5
  timeoutSeconds: 3
  scheme: "HTTP"
  probeType: "httpGet"
  httpHeaders: []
startupProbe:
  enabled: false
  path: "/"
  initialDelaySeconds: 5
  timeoutSeconds: 3
  failureThreshold: 30
  periodSeconds: 10
  scheme: "HTTP"
  probeType: "httpGet"
  httpHeaders: []

#hostAliases:
#- ip: X.X.X.X
#  hostnames:
#  - dns1.DOMAIN1
#  - dns2.DOMAIN2

postgresql:
  managed: false
  managedClassSelector:
    #   matchLabels:
    #     stack: gitlab (This is an example. The labels should match the labels on the CloudSQLInstanceClass)

resources:
  auto-deploy-app:
    limits:
      cpu: "10m"
      memory: "100Mi"
    requests: 
      cpu: "5m"
      memory: "80Mi"

## Configure PodDisruptionBudget
## ref: https://kubernetes.io/docs/concepts/workloads/pods/disruptions/
#
podDisruptionBudget:
  enabled: false
  # minAvailable: 1
  maxUnavailable: 1

## Configure NetworkPolicy
## ref: https://kubernetes.io/docs/concepts/services-networking/network-policies/
#
networkPolicy:
  enabled: false
  spec:
    podSelector:
      matchLabels: {}
    ingress:
    - from:
      - podSelector:
          matchLabels: {}
      - namespaceSelector:
          matchLabels:
            app.gitlab.com/managed_by: gitlab

serviceAccount:
  name:
  annotations: {}
  createNew: false

persistence:
  enabled: false
  volumes:
    - name: data
      mount:
        path: "/pvc-mount"
        # subPath: "/pvc-mount/config.txt"
      claim:
        accessMode: ReadWriteOnce
        size: 8Gi
        # If you want to use a custom storage class, you can specify `storageClass`. In this case, you need to create a storage class at first.
        # If `storageClass` is not specified, the behavior will vary per Kubernetes provider.
        # For example, GKE automatically chooses a default storage class and allocate a physical storage.
        # See https://cloud.google.com/kubernetes-engine/docs/concepts/persistent-volumes for more information.
        # storageClass: "myStorage"
        # You can also reserve a persistent volume using `volumeName`
        # See https://kubernetes.io/docs/concepts/storage/persistent-volumes/#reserving-a-persistentvolume
        # volumeName: "my-vol"

## Configure extra Volumes
## ref: https://kubernetes.io/docs/concepts/storage/volumes/
#
extraVolumes: []
# - name: config-volume
#   configMap:
#     name: test-config

## Configure extra Volumes mounts
## ref: https://kubernetes.io/docs/concepts/storage/volumes/
#
extraVolumeMounts: []
# - name: config-volume
#   mountPath: /app/config.yaml
#   subPath: config.yaml

extraEnvFrom: []
# - secretRef:
#     name: {{ .Values.application.secretName }}

extraEnv: []
# - name:  ENV_VAR
#   value: ENV_VAL

workers: {}
  # worker:
  #   replicaCount: 1
  #   image:
  #     repository: gitlab.example.com/group/project
  #     tag: stable
  #     pullPolicy: IfNotPresent
  #     secrets:
  #       - name: gitlab-registry
  #   terminationGracePeriodSeconds: 60
  #   hostAliases:
  #   - ip: X.X.X.X
  #     hostnames:
  #     - dns1.DOMAIN1
  #     - dns2.DOMAIN2
  #   labels:
  #     worker-type: worker
  #   command:
  #   - /bin/herokuish
  #   - procfile
  #   - start
  #   - worker
  #   nodeSelector: {}
  #   tolerations: []
  #   initContainers: []
  #   livenessProbe:
  #     path: "/"
  #     initialDelaySeconds: 15
  #     timeoutSeconds: 15
  #     scheme: "HTTP"
  #     probeType: "httpGet"
  #     httpHeader:
  #     - name: "custum-header"
  #       value: "awesome"
  #   readinessProbe:
  #     path: "/"
  #     initialDelaySeconds: 5
  #     timeoutSeconds: 3
  #     scheme: "HTTP"
  #     probeType: "httpGet"
  #     httpHeader:
  #     - name: "custum-header"
  #       value: "awesome"
  #   lifecycle:
  #     preStop:
  #       exec:
  #         command: ["/bin/sh", "-c", "sleep 10"]
  #   preStopCommand:
  #   - /bin/herokuish
  #   - procfile
  #   - start
  #   - stop_worker
  #   extraVolumes: []
  #   extraVolumeMounts: []
  #   extraEnv: []
  #   extraEnvFrom: []

cronjobs: {}
  # job:
  #   schedule: "*/2 * * * *"
  #   image:
  #     repository: alpine
  #     tag: latest
  #   command: ["/bin/sh"]
  #   args: ["-c", "echo hello"]
  #   concurrencyPolicy: Forbid
  #   failedJobsHistoryLimit: 1
  #   restartPolicy: OnFailure
  #   startingDeadlineSeconds: 300
  #   successfulJobsHistoryLimit: 1
  #   livenessProbe:
  #     path: "/"
  #     initialDelaySeconds: 15
  #     timeoutSeconds: 15
  #     scheme: "HTTP"
  #     probeType: "httpGet"
  #   readinessProbe:
  #     path: "/"
  #     initialDelaySeconds: 5
  #     timeoutSeconds: 3
  #     failureThreshold: 3
  #     periodSeconds: 10
  #     scheme: "HTTP"
  #     probeType: "httpGet"
  #   extraVolumes: []
  #   extraVolumeMounts: []
  #   extraEnvFrom: []

# customResources:
#   - apiVersion: "traefik.containo.us/v1alpha1"
#     kind: "IngressRoute"
#     metadata:
#       name: "ingress-route"
#       namespace: "default"
#     spec:
#       entryPoints:
#         - "web"
#       routes:
#         - match: "Host(`{{ .Values.envName }}.{{ .Values.envURL }}`)"
#           kind: "Rule"
#           services:
#             - name: "web"
#               port: {{ .Values.service.internalPort }}
#               weight: 100
#       tls:
#         secretName: "tls-secret"
#         options:
#           name: "tls-options"
#           namespace: "default"
#           kind: "TLSOptions"
#           minVersion: "VersionTLS12"
